Subject: Re: [PATCH 1/2] mm: Allow disabling deferred struct page initialisation

From: Srikar Dronamraju <[email-masked]>
Date: Wed, 3 Aug 2016 12:08:08 +0530

* Dave Hansen <[email-masked]> [2016-08-02 11:09:21]:

> On 08/02/2016 06:19 AM, Srikar Dronamraju wrote:
> > Kernels compiled with CONFIG_DEFERRED_STRUCT_PAGE_INIT will initialise
> > only certain size memory per node. The certain size takes into account
> > the dentry and inode cache sizes. However such a kernel when booting a
> > secondary kernel will not be able to allocate the required amount of
> > memory to suffice for the dentry and inode caches. This results in
> > crashes like the below on large systems such as 32 TB systems.
> 
> What's a "secondary kernel"?
> 

I mean the kernel thats booted to collect the crash, On fadump, the
first kernel acts as the secondary kernel i.e the same kernel is booted
to collect the crash.

-- 
Thanks and Regards
Srikar Dronamraju